Bug 15784 - gpm conflicts with serial console
Summary: gpm conflicts with serial console
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gpm   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-09 04:11 UTC by Pete Zaitcev
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 04:11:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pete Zaitcev 2000-08-09 04:11:56 UTC
If gpm RPM is installed, gpm attempts to run
on /dev/console rather than on /dev/tty0.
If console is serial with a kernel option,
gpm prints garbage to the console and loops.

[root@cactus rc.d]# cat /proc/cmdline
BOOT_IMAGE=linux-p3-ser ro root=301 console=ttyS0,9600
[root@cactus rc.d]# tail /var/log/messages
Aug  9 03:33:09 cactus gpm[422]: Error in read()ing first: No such file or
directory
Aug  9 03:33:39 cactus last message repeated 125498 times
Aug  9 03:33:46 cactus last message repeated 25578 times
[root@cactus rc.d]# uname -a
Linux cactus 2.4.0-test5 #3 Mon Jul 31 23:54:48 PDT 2000 i686 unknown

Comment 1 Preston Brown 2001-01-05 19:05:49 UTC
gpm-1.19.3-5 from rawhide now has a patch to detect if it is running on a serial
console and abort.


Note You need to log in before you can comment on or make changes to this bug.